## Text Encoding Initiative

### The XML Version of the TEI Guidelines

# <classDoc>

`<classDoc>` | contains reference information for a TEI element class; that is a group of elements which appear together in content models, or which share some common attribute, or both.

Attributes

(In addition to global attributes)

`type` | indicates whether this is a model class, an attribute class, or both.
| Datatype: (model | atts | both)

Legal values are:

model | members of this class appear in the same content models
atts | members of this class share common attributes
both | members of this class share attributes and also appear in the same content models

| Default: #IMPLIED

Example

    <classDoc type="model" id="SEG">
      <class>seg</class>
      <desc>elements for arbitrary segmentation.</desc>
      <ptr target="COSE"/>
    </classDoc>

Module Declared in file teitsd2; Auxiliary DTD for Tag Set documentation
May contain attList class classes desc equiv files part ptr remarks rs
May occur within
Declaration

    <!ELEMENT classDoc %om.RO; (class, rs?, desc, attList?, remarks?, part?,
    classes?, files?, ptr*, equiv*) >
    <!ATTLIST classDoc
          %a.global;
          type (model | atts | both) #IMPLIED>

See further 27.2 Element Classes; 27 Tag Set Documentation

Up: 35 Elements